### Method

# Gtk Expressionis_static

#### Declaration [src]

    gboolean
    gtk_expression_is_static (
      GtkExpression* self
    )

#### Description [src]

Checks if the expression is static.

A static expression will never change its result when `gtk_expression_evaluate()` is called on it with the same arguments.

That means a call to `gtk_expression_watch()` is not necessary because it will never trigger a notify.

#### Return value

Type: `gboolean`

`TRUE` if the expression is static.